<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.cico.nest</groupId>
        <artifactId>nest-lcdp-boot</artifactId>
        <version>${revision}</version>
    </parent>

    <packaging>pom</packaging>
    <artifactId>nest-lcdp-boot-core</artifactId>

    <modules>
        <module>nest-lcdp-boot-core-system</module>
        <module>nest-lcdp-boot-core-infra</module>
        <module>nest-lcdp-boot-core-sso</module>
        <module>nest-lcdp-boot-core-qxsd</module>

    </modules>

    <dependencies>
        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct-jdk8</artifactId> <!-- use mapstruct-jdk8 for Java 8 or higher -->
        </dependency>
        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct-processor</artifactId>
        </dependency>
        <dependency>
            <groupId>com.cico.nest</groupId>
            <artifactId>nest-lcdp-boot-tenant-starter</artifactId>
        </dependency>
    </dependencies>

</project>
